using AutoMapper;
using GxPress.Entity.Menus;
using GxPress.Request.Menu;
using GxPress.Result.SystemRole;

namespace GxPress.Mappings
{
    public class MenuMapping : Profile
    {
        public MenuMapping()
        {
            CreateMap<Menus, Children>();
            CreateMap<Children, Menus>();
            CreateMap<MenuInRequest, Menus>();
            CreateMap<Menus, MenuInRequest>();
            CreateMap<Menus, MenuInResult>();
            CreateMap<MenuInResult, Menus>();
        }
    }
}